org.apache.ignite.internal.processors.cache

## Class CacheAtomicUpdateTimeoutCheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.CacheAtomicUpdateTimeoutCheckedException

All Implemented Interfaces:
  Serializable

    public class CacheAtomicUpdateTimeoutCheckedException
    extends IgniteCheckedException

Exception thrown when atomic operation timeout occurs.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheAtomicUpdateTimeoutCheckedException(String msg)` Creates new timeout exception with given error message.
`CacheAtomicUpdateTimeoutCheckedException(String msg, Throwable cause)` Creates new timeout exception with given error message and optional nested exception.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheAtomicUpdateTimeoutCheckedException

    public CacheAtomicUpdateTimeoutCheckedException(String msg)

Creates new timeout exception with given error message.

Parameters:
  `msg` - Error message.

#### CacheAtomicUpdateTimeoutCheckedException

    public CacheAtomicUpdateTimeoutCheckedException(String msg,
                                            Throwable cause)

Creates new timeout exception with given error message and optional nested exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015